You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 

166 lines
4.4 KiB

  1. # frozen_string_literal: true
  2. source 'https://rubygems.org'
  3. ruby '>= 2.5.0', '< 3.0.0'
  4. gem 'pkg-config', '~> 1.4'
  5. gem 'puma', '~> 5.2'
  6. gem 'rails', '~> 5.2.4.5'
  7. gem 'sprockets', '~> 3.7.2'
  8. gem 'thor', '~> 1.1'
  9. gem 'rack', '~> 2.2.3'
  10. gem 'hamlit-rails', '~> 0.2'
  11. gem 'pg', '~> 1.2'
  12. gem 'makara', '~> 0.5'
  13. gem 'pghero', '~> 2.8'
  14. gem 'dotenv-rails', '~> 2.7'
  15. gem 'aws-sdk-s3', '~> 1.91', require: false
  16. gem 'fog-core', '<= 2.1.0'
  17. gem 'fog-openstack', '~> 0.3', require: false
  18. gem 'paperclip', '~> 6.0'
  19. gem 'paperclip-av-transcoder', '~> 0.6'
  20. gem 'streamio-ffmpeg', '~> 3.0'
  21. gem 'blurhash', '~> 0.1'
  22. gem 'active_model_serializers', '~> 0.10'
  23. gem 'addressable', '~> 2.7'
  24. gem 'bootsnap', '~> 1.6.0', require: false
  25. gem 'browser'
  26. gem 'charlock_holmes', '~> 0.7.7'
  27. gem 'iso-639'
  28. gem 'chewy', '~> 5.2'
  29. gem 'cld3', '~> 3.4.1'
  30. gem 'devise', '~> 4.7'
  31. gem 'devise-two-factor', '~> 3.1'
  32. group :pam_authentication, optional: true do
  33. gem 'devise_pam_authenticatable2', '~> 9.2'
  34. end
  35. gem 'net-ldap', '~> 0.17'
  36. gem 'omniauth-cas', '~> 2.0'
  37. gem 'omniauth-saml', '~> 1.10'
  38. gem 'omniauth', '~> 1.9'
  39. gem 'omniauth-rails_csrf_protection', '~> 0.1'
  40. gem 'color_diff', '~> 0.1'
  41. gem 'discard', '~> 1.2'
  42. gem 'doorkeeper', '~> 5.5'
  43. gem 'ed25519', '~> 1.2'
  44. gem 'fast_blank', '~> 1.0'
  45. gem 'fastimage'
  46. gem 'hiredis', '~> 0.6'
  47. gem 'redis-namespace', '~> 1.8'
  48. gem 'health_check', git: 'https://github.com/ianheggie/health_check', ref: '0b799ead604f900ed50685e9b2d469cd2befba5b'
  49. gem 'htmlentities', '~> 4.3'
  50. gem 'http', '~> 4.4'
  51. gem 'http_accept_language', '~> 2.1'
  52. gem 'httplog', '~> 1.4.3'
  53. gem 'idn-ruby', require: 'idn'
  54. gem 'kaminari', '~> 1.2'
  55. gem 'link_header', '~> 0.0'
  56. gem 'mime-types', '~> 3.3.1', require: 'mime/types/columnar'
  57. gem 'nilsimsa', git: 'https://github.com/witgo/nilsimsa', ref: 'fd184883048b922b176939f851338d0a4971a532'
  58. gem 'nokogiri', '~> 1.11'
  59. gem 'nsa', '~> 0.2'
  60. gem 'oj', '~> 3.11'
  61. gem 'ox', '~> 2.14'
  62. gem 'parslet'
  63. gem 'parallel', '~> 1.20'
  64. gem 'posix-spawn'
  65. gem 'pundit', '~> 2.1'
  66. gem 'premailer-rails'
  67. gem 'rack-attack', '~> 6.5'
  68. gem 'rack-cors', '~> 1.1', require: 'rack/cors'
  69. gem 'rails-i18n', '~> 5.1'
  70. gem 'rails-settings-cached', '~> 0.6'
  71. gem 'redis', '~> 4.2', require: ['redis', 'redis/connection/hiredis']
  72. gem 'mario-redis-lock', '~> 1.2', require: 'redis_lock'
  73. gem 'rqrcode', '~> 1.2'
  74. gem 'ruby-progressbar', '~> 1.11'
  75. gem 'sanitize', '~> 5.2'
  76. gem 'scenic', '~> 1.5'
  77. gem 'sidekiq', '~> 6.1'
  78. gem 'sidekiq-scheduler', '~> 3.0'
  79. gem 'sidekiq-unique-jobs', '~> 7.0'
  80. gem 'sidekiq-bulk', '~>0.2.0'
  81. gem 'simple-navigation', '~> 4.1'
  82. gem 'simple_form', '~> 5.1'
  83. gem 'sprockets-rails', '~> 3.2', require: 'sprockets/railtie'
  84. gem 'stoplight', '~> 2.2.1'
  85. gem 'strong_migrations', '~> 0.7'
  86. gem 'tty-prompt', '~> 0.23', require: false
  87. gem 'twitter-text', '~> 3.1.0'
  88. gem 'tzinfo-data', '~> 1.2021'
  89. gem 'webpacker', '~> 5.2'
  90. gem 'webpush'
  91. gem 'webauthn', '~> 3.0.0.alpha1'
  92. gem 'json-ld'
  93. gem 'json-ld-preloaded', '~> 3.1'
  94. gem 'rdf-normalize', '~> 0.4'
  95. gem 'redcarpet', '~> 3.5'
  96. group :development, :test do
  97. gem 'fabrication', '~> 2.21'
  98. gem 'fuubar', '~> 2.5'
  99. gem 'i18n-tasks', '~> 0.9', require: false
  100. gem 'pry-byebug', '~> 3.9'
  101. gem 'pry-rails', '~> 0.3'
  102. gem 'rspec-rails', '~> 4.1'
  103. end
  104. group :production, :test do
  105. gem 'private_address_check', '~> 0.5'
  106. end
  107. group :test do
  108. gem 'capybara', '~> 3.35'
  109. gem 'climate_control', '~> 0.2'
  110. gem 'faker', '~> 2.17'
  111. gem 'microformats', '~> 4.2'
  112. gem 'rails-controller-testing', '~> 1.0'
  113. gem 'rspec-sidekiq', '~> 3.1'
  114. gem 'simplecov', '~> 0.21', require: false
  115. gem 'webmock', '~> 3.12'
  116. gem 'parallel_tests', '~> 3.5'
  117. gem 'rspec_junit_formatter', '~> 0.4'
  118. end
  119. group :development do
  120. gem 'active_record_query_trace', '~> 1.8'
  121. gem 'annotate', '~> 3.1'
  122. gem 'better_errors', '~> 2.9'
  123. gem 'binding_of_caller', '~> 1.0'
  124. gem 'bullet', '~> 6.1'
  125. gem 'letter_opener', '~> 1.7'
  126. gem 'letter_opener_web', '~> 1.4'
  127. gem 'memory_profiler'
  128. gem 'rubocop', '~> 1.11', require: false
  129. gem 'rubocop-rails', '~> 2.9', require: false
  130. gem 'brakeman', '~> 4.10', require: false
  131. gem 'bundler-audit', '~> 0.7', require: false
  132. gem 'capistrano', '~> 3.16'
  133. gem 'capistrano-rails', '~> 1.6'
  134. gem 'capistrano-rbenv', '~> 2.2'
  135. gem 'capistrano-yarn', '~> 2.0'
  136. gem 'stackprof'
  137. end
  138. group :production do
  139. gem 'lograge', '~> 0.11'
  140. gem 'redis-rails', '~> 5.0'
  141. end
  142. gem 'concurrent-ruby', require: false
  143. gem 'connection_pool', require: false
  144. gem 'xorcist', '~> 1.1'
  145. gem 'pluck_each', '~> 0.1.3'